//************************************************************
//  University of Patras
//	Department of Electrical Engineering & Computer Technology
//
//	Course: Parallel Programming in AI
//	Week 04: OpenMp
//
//  Description: Simple examples  in openMP
//  	omp05.c: the hello work openmp version
//	Author: Evangelos Dermatas
//	v0.1
/*
*********************************************************************
gcc -v:	gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
OS: 	Linux Ubuntu 18.04
CPU:	8-core, Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz, 3991 BogoMips
*********************************************************************
Compiling:	gcc omp05.c -o omp05 -fopenmp
Executing:	./omp05
Output in my Laptop:

*/
//************************************************************

#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

// **************************************************************
int main(void) 
{

	omp_set_num_threads(8);

#pragma omp parallel sections
{

#pragma omp  section
{
	printf( "Hello openMP Class\n" ) ;
}

#pragma omp section
{
//#pragma omp task
	printf( " Hello " ) ;

//#pragma omp task
	printf( " electrical " ) ;

//#pragma omp task
	printf( " engineering " ) ;

//#pragma omp task
	printf( " students " ) ;

//#pragma omp task
	printf( " <<Single 1>> " ) ;
//#pragma omp task
	printf( " <<Single 2>>" ) ;
}

#pragma omp  section
	printf( "backslashend \n" ) ;
}  // end of omp parallel

	return 0 ;
}
