//************************************************************
//  University of Patras
//	Department of Electrical Engineering & Computer Technology
//
//	Course: Parallel Programming in AI
//	Week 04: OpenMp
//
//  Description: Simple examples  in openMP
//  	omp04.c: the hello work openmp version
//	Author: Evangelos Dermatas
//	v0.1
/*
*********************************************************************
gcc -v:	gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
OS: 	Linux Ubuntu 18.04
CPU:	8-core, Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz, 3991 BogoMips
*********************************************************************
Compiling:	gcc omp04.c -o omp04 -fopenmp
Executing:	./omp04
Output in my Laptop:

*/
//************************************************************

#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

// **************************************************************
int main(void) 
{
int i ;

	omp_set_num_threads(4);

//#pragma omp parallel
//{
//#pragma omp for
//	for( i = 0 ; i < 10 ; i++ )
//		printf( "Hello openMP %d\n", i ) ;
//}

// Equivallent code
//

#pragma omp parallel for
	for( i = 0 ; i < 10 ; i++ )
		printf( "Hello openMP %d\n", i ) ;

	return 0 ;
}
